All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::NoTypeTensor< Dim, Contig, IndexT > Class Template Reference

## Public Member Functions

template<typename T >
| NoTypeTensor (Tensor< T, Dim, Contig, IndexT > &t)
| NoTypeTensor (void *mem, int typeSize, std::initializer_list< IndexT > sizes)
| NoTypeTensor (void *mem, int typeSize, int sizes[Dim])
| NoTypeTensor (void *mem, int typeSize, IndexT sizes[Dim], IndexT strides[Dim])
int | getTypeSize () const
IndexT | getSize (int dim) const
IndexT | getStride (int dim) const
template<typename T >
Tensor< T, Dim, Contig, IndexT > | toTensor ()
NoTypeTensor< Dim, Contig, IndexT > | narrowOutermost (IndexT start, IndexT size)

## Detailed Description

### template<int Dim, bool Contig = false, typename IndexT = int>
class faiss::gpu::NoTypeTensor< Dim, Contig, IndexT >

Definition at line 21 of file NoTypeTensor.cuh.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/gpu/utils/NoTypeTensor.cuh